module Screens
  class RedirectMiddleware

    def initialize(app)
      @app = app
    end

    def call(env)
      req = Rack::Request.new(env)
      location = "/screens?screens_url=#{req.url}"
      if get_screens_enable_param(req)
        [301, {'Location' => location, 'Content-Type' => 'text/html', 'Content-Length' => '0'}, []]
      else
        @app.call(env)
      end
    end

    private

    def get_screens_enable_param(req)
      req.params['screens'].present?
    end

  end
end
